#include <iostream>
#include <stdio.h>

using namespace std;

int main()
{
    int n,k,p,s=0;
    scanf("%d%d",&n,&k);
    int niz[2*n+1];
    for(int i=1;i<=2*n+1;i++)
    {
        niz[i]=0;
    }
     for(int a=1;a<=n;a++)
    {
        scanf("%d",&p);
        niz[p+n+1]++;
    }
    for(int b=1;b<=2*n+1;b++)
    {
        s=s+niz[b]/k;
    }
    cout<<s<<endl;
    for(int c=1;c<=2*n+1;c++)
    {
        if(niz[c]>=k)cout<<c-n-1<<" ";
    }
    return 0;
}